/* G-CTB GNU Contabilidad
 * Copyright (C) 2001 Branly Abendano, EPN Ingenieria Sistemas  
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public  
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "incl.h"

 
GtkWidget* get_grid_BuscarCtaContable (gchar *widget_name, gchar *string1, 
			gchar *string2, gint int1, gint int2) 
{  

   Gda_Recordset *grs;
   gint rc;
 
  	grs = gda_recordset_new();
  	gda_recordset_set_connection(GDA_RECORDSET(grs), cnc);
  	rc = gda_recordset_open_txt(GDA_RECORDSET(grs),
                              "SELECT CD_CTA_CONTABLE, NM_CTA_CONTABLE FROM CTA_CONTABLE",
                              GDA_OPEN_STATIC,
                              GDA_LOCK_PESSIMISTIC,
                              0);

  	if (rc < 0) {
    		g_print("\nNo se pudo ejecutar la consulta.\n");
    		gtk_main_quit();
  	}
  
  	return gnome_db_grid_new(GDA_RECORDSET(grs));
}
     
void
on_gridBuscarCtaContable_select_row     (GnomeDbGrid     *gnomedbgrid,
                                        gint             arg1,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;
  gchar *text;


    	gnome_db_grid_show_row_numbers (gnomedbgrid);

    	grs = gda_recordset_new();

    	grs = gnome_db_grid_get_recordset (gnomedbgrid);

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,0,&text);

    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtBuscarCodigoCtaContable)), text );

}

void
on_btnBuscarCodigoCtaContable_clicked  (GtkButton       *button,
                                        gpointer         user_data)
{ 
   Gda_Recordset *grs;
   gint rc;
   gchar *consulta_inicial = "SELECT CD_CTA_CONTABLE, NM_CTA_CONTABLE FROM CTA_CONTABLE WHERE CD_CTA_CONTABLE=";
   gchar *fin_de_consulta = "'";
   gchar *consulta_tmp = NULL;
   gchar *consulta_final = NULL;
   gchar *codigo_cta_contable = NULL;

   	codigo_cta_contable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtBuscarCodigoCtaContable))); 
 
  	consulta_tmp = g_strconcat(consulta_inicial,fin_de_consulta,NULL);
  	consulta_tmp = g_strconcat(consulta_tmp,codigo_cta_contable,NULL);
  	consulta_final = g_strconcat(consulta_tmp,fin_de_consulta,NULL);

  	grs = gda_recordset_new();
  	gda_recordset_set_connection(GDA_RECORDSET(grs), cnc);
  	rc = gda_recordset_open_txt(GDA_RECORDSET(grs),
                              consulta_final,
                              GDA_OPEN_DYNAMIC,
                              GDA_LOCK_PESSIMISTIC,
                              0);
   
  	if (rc < 0) {
    		g_print("\nNo se pudo ejecutar la consulta.\n");
    		gtk_main_quit();
  	}

  	gnome_db_grid_clear(GNOME_DB_GRID(gridBuscarCtaContable));
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridBuscarCtaContable));

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridBuscarCtaContable),GDA_RECORDSET(grs));
}   

