/* G-CTB GNU Contabilidad
 * Copyright (C) 2001 Branly Abendano, EPN Ingenieria Sistemas  
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public  
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "incl.h"
#include "Cierre.h"
 
gint FILA_ACTUAL_CIERRE = 0;
GnomeDbGrid *GRID_MANT_CIERRE;

GtkWidget* get_grid_Cierre (gchar *widget_name, gchar *string1, 
			    gchar *string2, gint int1, gint int2) 
{  
  	return gnome_db_grid_new(GDA_RECORDSET(GetListadoTotalDeCierres()));
}
  
void
on_gridMantCierre_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;

  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantCierre));
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantCierre));
 
  	grs = GetListadoTotalDeCierres();

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantCierre),GDA_RECORDSET(grs));

  	GRID_MANT_CIERRE = GNOME_DB_GRID(gridMantCierre);    
}

void
on_gridMantCierre_select_row         (GnomeDbGrid     *gnomedbgrid,
                                      gint             arg1,
                                      gpointer         user_data)
{
  Gda_Recordset *grs;
  gchar *text;

    	FILA_ACTUAL_CIERRE = arg1;

    	gnome_db_grid_show_row_numbers (gnomedbgrid);
   
    	grs = gda_recordset_new();
    	grs = gnome_db_grid_get_recordset (gnomedbgrid);
 
    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,0,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtCodigoMantCierre)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,1,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtFechaMantCierre)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,2,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtTipoMantCierre)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,3,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtComprobanteMantCierre)), text );
}

void
on_btnNextMantCierre_clicked       (GtkButton       *button,
                                    gpointer         user_data) {

    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE, 0);
}

void
on_btnPriorMantCierre_clicked      (GtkButton       *button,   
                                    gpointer         user_data) {
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-2, 0);
}

void                                    
on_btnLastMantCierre_clicked      (GtkButton       *button,
                                   gpointer         user_data) {  
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-1, 0);
    	FILA_ACTUAL_CIERRE = GRID_MANT_CIERRE->total_rows;

    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-1, 0);
}

void
on_btnFirstMantCierre_clicked      (GtkButton       *button,
                                        gpointer         user_data) { 
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_CIERRE->grid), FILA_ACTUAL_CIERRE-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_CIERRE->grid), 0, 0);
}

void
on_btnGrabarCierre_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *FechaCierre = NULL;
   gchar *ComprobanteCierre = NULL;
   gchar *TipoCierre = NULL;
   gint rc;
 
        FechaCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtFechaCierre)));
        ComprobanteCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtComprobanteCierre)));
        TipoCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(cmbTipoCierre)));
   
	rc = InsertNuevoCierre (FechaCierre, ComprobanteCierre, TipoCierre);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtComprobanteCierre)),"");
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(cmbTipoCierre)),"");
	}

	gtk_widget_grab_focus(txtComprobanteCierre);
}

void
on_btnInsertMantCierre_clicked       (GtkButton       *button,
                                      gpointer         user_data)
{
   gchar *FechaCierre = NULL;
   gchar *ComprobanteCierre = NULL;
   gchar *TipoCierre = NULL;
                                
   Gda_Recordset *grs;
   gint rc;
 
        ComprobanteCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtComprobanteMantCierre)));
        FechaCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtFechaMantCierre)));
        TipoCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtTipoMantCierre)));
   
	rc = InsertNuevoCierre (FechaCierre, ComprobanteCierre, TipoCierre);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		grs = GetListadoTotalDeCierres ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantCierre));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantCierre));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantCierre),GDA_RECORDSET(grs));
	}
}

void
on_btnDeleteMantCierre_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *CodigoCierre = NULL;
   Gda_Recordset *grs;
   gint rc;
 
        CodigoCierre = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtCodigoMantCierre)));
    
        rc = DeleteCierre (CodigoCierre);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		grs = GetListadoTotalDeCierres ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantCierre));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantCierre));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantCierre),GDA_RECORDSET(grs));
	}
}


void
on_btnActualizarMantCierre_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   Gda_Recordset *grs;

	grs = GetListadoTotalDeCierres();
 
  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantCierre));  
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantCierre));

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantCierre),GDA_RECORDSET(grs));
}

void
on_btnSalirCierre_clicked                    (GtkButton       *button,
                                                  gpointer         user_data)
{
    	gtk_exit(0);
}

void
on_btnSalirMantCierre_clicked                    (GtkButton       *button,
                                                  gpointer         user_data)
{
    	gtk_exit(0);
}

